bio-0.5.0.1: A bioinformatics library

Bio.Alignment.ACE

Description

Read ACE format assembly files

These are typically output by sequence assembly tools, like CAP3 or Phrap.

Documented in the section labelled "ACE FILE FORMAT" at http://bozeman.mbt.washington.edu/consed/distributions/README.14.0.txt

Briefly: each field is a line starting with a two letter code, in some cases followed by data lines termintated by a blank line. Here's an brief example how an ACE file looks like:

              AS contigs reads
              CO contig_name bases reads segments compl (CAP3: segments=0)
              sequence
              BQ base_qualities
              AF read1 compl padded_start_consensus (negatives meaning?)
              AF read2 ..
              BS segments
              RD read1 bases info_items info_tags (latter two set to 0 by CAP3)
              sequence
              QA read1 qual_start qual_end align_start align_end
              DS (phred header? left empty by CAP3)
              RD read2 ...

As far as I know, this is only used for nucleotide sequences.

Synopsis

- readACE :: FilePath -> IO [[Assembly]]
- writeACE :: FilePath -> [Assembly] -> IO ()
- data Assembly = Asm {
  - contig :: (Sequence Nuc, Gaps)
  - fragments :: Alignment Nuc
  }
- ptest :: Show a => String -> AceParser a -> [ACE] -> IO ()
- reads :: Assembly -> Alignment Nuc

# Documentation

readACE :: FilePath -> IO [[Assembly]]

Reading an ACE file.

writeACE :: FilePath -> [Assembly] -> IO ()

data Assembly

Constructors

Asm |

Fields

contig :: (Sequence Nuc, Gaps)
fragments :: Alignment Nuc

Instances

Show Assembly |

ptest :: Show a => String -> AceParser a -> [ACE] -> IO ()

Test parser p on a list of ACE elements

reads :: Assembly -> Alignment Nuc